[ubuntu/jaunty] ncurses 5.7-2ubuntu1 (Accepted)

Scott James Remnant scott at ubuntu.com
Tue Nov 11 18:15:14 GMT 2008


ncurses (5.7-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - On amd64, use /{,usr/}lib32 instead of /emul/ia32-linux/.
    - Link using -Bsymbolic-functions.
    - Don't install the upstream changelog in the runtime library packages.

  * Install wide-character patches into /{,usr/}lib32 as well.

ncurses (5.7-2) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Adding patch from Petr Salinger <Petr.Salinger at seznam.cz> to fix FTBFS on
    GNU/kFreeBSD (Closes: #504820).
  * Temporarily downgrading sodepver again; this was actually ment to go to
    lenny, but I'm to tired to push it... (Closes: #504745).

ncurses (5.7-1) unstable; urgency=low

  * Merging upstream version 5.7.
  * Updating soname and sodepver to 5.7 in rules.

ncurses (5.6+20081025-1) unstable; urgency=low

  * Merging upstream version 5.6+20081025.

ncurses (5.6+20081018-1) unstable; urgency=low

  * Merging upstream version 5.6+20081018.
  * Adding dh_md5sums calls (Closes: #502840).

ncurses (5.6+20081012-2) unstable; urgency=low

  * Removing symlinks in /usr/share/doc for ncurses-base and ncurses-
    term as well (Closes: #502686).

ncurses (5.6+20081012-1) unstable; urgency=low

  * Merging upstream version 5.6+20081012.
  * Rediffing debian-backspace.dpatch.
  * Removing --disable-tic-depends again; was missunderstanding of mine.
  * Don't symlink doc directories (Closes: #502620).

ncurses (5.6+20081011-1) unstable; urgency=low

  * Merging upstream version 5.6+20081011.
  * Building with --disable-tic-depends.

ncurses (5.6+20081004-1) unstable; urgency=low

  * Merging upstream version 5.6+20081004.

ncurses (5.6+20080927-1) unstable; urgency=low

  * Merging upstream version 5.6+20080927.

ncurses (5.6+20080925-1) unstable; urgency=low

  * Merging upstream version 5.6+20080925:
    - fix bug in mouse code for GPM from 20080920 changes
      (Closes: #500103, #500369).

ncurses (5.6+20080920-1) unstable; urgency=low

  * Merging upstream version 5.6+20080920.

ncurses (5.6+20080913-1) unstable; urgency=low

  * Merging upstream version 5.6+20080913.

ncurses (5.6+20080907-1) unstable; urgency=low

  * Merging upstream version 5.6+20080907.
  * Installing changelog and docs also for ncurse-base and ncurse-term.
    This allows replace the strict versioned depends against libncurses5
    with an unversioned depends.

ncurses (5.6+20080906-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 5.6+20080906.

ncurses (5.6+20080830-1) unstable; urgency=medium

  * Merging upstream version 5.6+20080830.
  * Switching kdch1 from \177 to \E[3~ in debians, for legacy reasons, own
    embedded xterm defintions (Closes: #319554).

ncurses (5.6+20080823-1) unstable; urgency=low

  * Merging upstream version 5.6+20080823:
    - Adds Eterm-256color terminal (Closes: #495815).

ncurses (5.6+20080821-1) unstable; urgency=low

  * Merging upstream version 5.6+20080821.

ncurses (5.6+20080804-1) unstable; urgency=low

  * Merging upstream version 5.6+20080804.

ncurses (5.6+20080726-2) unstable; urgency=medium

  * Adding patch from Neil Williams <codehelp at debian.org> to ensure wchar.h is
    available for make_keys when cross-building.

ncurses (5.6+20080726-1) unstable; urgency=low

  * Merging upstream version 5.6+20080726.

ncurses (5.6+20080713-1) unstable; urgency=low

  * Moving xterm-256color from ncurses-term to ncurses-base, thanks to Iustin
    Pop <iusty at k1024.org> (Closes: #405602).
  * Merging upstream version 5.6+20080713.

ncurses (5.6+20080712-1) unstable; urgency=low

  * Merging upstream version 5.6+20080712.

ncurses (5.6+20080705-1) unstable; urgency=low

  * Merging upstream version 5.6+20080705.

ncurses (5.6+20080628-1) unstable; urgency=low

  * Merging upstream version 5.6+20080628.

ncurses (5.6+20080621-2) unstable; urgency=low

  * Adjusting libgpm relations to their correct name.

ncurses (5.6+20080621-1) unstable; urgency=low

  * Rebuilding against libgpm2 (Closes: #487925).
  * Improving package short descriptions as suggested by Justin B. Rye
    <jbr at edlug.org.uk> (Closes: #484172).
  * Sorting build-depends.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Merging upstream version 5.6+20080621.

ncurses (5.6+20080614-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080531-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080503-1) unstable; urgency=low

  * New upstream patch level:
    - Modifies screen.* terminfo entries using new screen+fkeys to fix
      overridden keys in screen.rxvt (Closes: #478094).

ncurses (5.6+20080419-2) unstable; urgency=low

  * Using tightened versioned depends in ncurses-base on libncurses5
    (Closes: #477725).

ncurses (5.6+20080419-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080405-2) experimental; urgency=low

  * Adding 32bit libncursesw5 packages (Closes: #457363).

ncurses (5.6+20080405-1) unstable; urgency=medium

  * New upstream patch level.

ncurses (5.6+20080308-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080203-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080119-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20080105-1) unstable; urgency=low

  * New upstream patch level.

ncurses (5.6+20071215-1) unstable; urgency=low

  * New upstream patch level.
  * Updated to new policy.

Date: Tue, 11 Nov 2008 16:40:32 +0000
Changed-By: Scott James Remnant <scott at ubuntu.com>
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Scott James Remnant <scott at canonical.com>
https://launchpad.net/ubuntu/jaunty/+source/ncurses/5.7-2ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Nov 2008 16:40:32 +0000
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source
Version: 5.7-2ubuntu1
Distribution: jaunty
Urgency: medium
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Scott James Remnant <scott at ubuntu.com>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 319554 405602 457363 477725 478094 484172 487925 495815 500103 500369 502620 502686 502840 504745 504820
Changes: 
 ncurses (5.7-2ubuntu1) jaunty; urgency=low
 .
   * Merge from debian unstable, remaining changes:
     - On amd64, use /{,usr/}lib32 instead of /emul/ia32-linux/.
     - Link using -Bsymbolic-functions.
     - Don't install the upstream changelog in the runtime library packages.
 .
   * Install wide-character patches into /{,usr/}lib32 as well.
 .
 ncurses (5.7-2) unstable; urgency=low
 .
   * Replacing obsolete dh_clean -k with dh_prep.
   * Adding patch from Petr Salinger <Petr.Salinger at seznam.cz> to fix FTBFS on
     GNU/kFreeBSD (Closes: #504820).
   * Temporarily downgrading sodepver again; this was actually ment to go to
     lenny, but I'm to tired to push it... (Closes: #504745).
 .
 ncurses (5.7-1) unstable; urgency=low
 .
   * Merging upstream version 5.7.
   * Updating soname and sodepver to 5.7 in rules.
 .
 ncurses (5.6+20081025-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20081025.
 .
 ncurses (5.6+20081018-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20081018.
   * Adding dh_md5sums calls (Closes: #502840).
 .
 ncurses (5.6+20081012-2) unstable; urgency=low
 .
   * Removing symlinks in /usr/share/doc for ncurses-base and ncurses-
     term as well (Closes: #502686).
 .
 ncurses (5.6+20081012-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20081012.
   * Rediffing debian-backspace.dpatch.
   * Removing --disable-tic-depends again; was missunderstanding of mine.
   * Don't symlink doc directories (Closes: #502620).
 .
 ncurses (5.6+20081011-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20081011.
   * Building with --disable-tic-depends.
 .
 ncurses (5.6+20081004-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20081004.
 .
 ncurses (5.6+20080927-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080927.
 .
 ncurses (5.6+20080925-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080925:
     - fix bug in mouse code for GPM from 20080920 changes
       (Closes: #500103, #500369).
 .
 ncurses (5.6+20080920-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080920.
 .
 ncurses (5.6+20080913-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080913.
 .
 ncurses (5.6+20080907-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080907.
   * Installing changelog and docs also for ncurse-base and ncurse-term.
     This allows replace the strict versioned depends against libncurses5
     with an unversioned depends.
 .
 ncurses (5.6+20080906-1) unstable; urgency=low
 .
   * Updating vcs fields in control file.
   * Merging upstream version 5.6+20080906.
 .
 ncurses (5.6+20080830-1) unstable; urgency=medium
 .
   * Merging upstream version 5.6+20080830.
   * Switching kdch1 from \177 to \E[3~ in debians, for legacy reasons, own
     embedded xterm defintions (Closes: #319554).
 .
 ncurses (5.6+20080823-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080823:
     - Adds Eterm-256color terminal (Closes: #495815).
 .
 ncurses (5.6+20080821-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080821.
 .
 ncurses (5.6+20080804-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080804.
 .
 ncurses (5.6+20080726-2) unstable; urgency=medium
 .
   * Adding patch from Neil Williams <codehelp at debian.org> to ensure wchar.h is
     available for make_keys when cross-building.
 .
 ncurses (5.6+20080726-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080726.
 .
 ncurses (5.6+20080713-1) unstable; urgency=low
 .
   * Moving xterm-256color from ncurses-term to ncurses-base, thanks to Iustin
     Pop <iusty at k1024.org> (Closes: #405602).
   * Merging upstream version 5.6+20080713.
 .
 ncurses (5.6+20080712-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080712.
 .
 ncurses (5.6+20080705-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080705.
 .
 ncurses (5.6+20080628-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080628.
 .
 ncurses (5.6+20080621-2) unstable; urgency=low
 .
   * Adjusting libgpm relations to their correct name.
 .
 ncurses (5.6+20080621-1) unstable; urgency=low
 .
   * Rebuilding against libgpm2 (Closes: #487925).
   * Improving package short descriptions as suggested by Justin B. Rye
     <jbr at edlug.org.uk> (Closes: #484172).
   * Sorting build-depends.
   * Adding vcs fields to control file.
   * Upgrading package to standards 3.8.0.
   * Upgrading package to debhelper 7.
   * Merging upstream version 5.6+20080621.
 .
 ncurses (5.6+20080614-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080531-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080503-1) unstable; urgency=low
 .
   * New upstream patch level:
     - Modifies screen.* terminfo entries using new screen+fkeys to fix
       overridden keys in screen.rxvt (Closes: #478094).
 .
 ncurses (5.6+20080419-2) unstable; urgency=low
 .
   * Using tightened versioned depends in ncurses-base on libncurses5
     (Closes: #477725).
 .
 ncurses (5.6+20080419-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080405-2) experimental; urgency=low
 .
   * Adding 32bit libncursesw5 packages (Closes: #457363).
 .
 ncurses (5.6+20080405-1) unstable; urgency=medium
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080308-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080203-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080119-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20080105-1) unstable; urgency=low
 .
   * New upstream patch level.
 .
 ncurses (5.6+20071215-1) unstable; urgency=low
 .
   * New upstream patch level.
   * Updated to new policy.
Checksums-Sha1: 
 d12fdf89eaa90c7741eae8f7a90e6d36fc1f64ad 1566 ncurses_5.7-2ubuntu1.dsc
 8233ee56ed84ae05421e4e6d6db6c1fe72ee6797 2445052 ncurses_5.7.orig.tar.gz
 995a35641659fa0508a47cdf1066b1a4f9159cbe 40589 ncurses_5.7-2ubuntu1.diff.gz
Checksums-Sha256: 
 742a0a894a6d54185690d241ede11c9faa54b72a6ef1d0be6f97c93501e629e2 1566 ncurses_5.7-2ubuntu1.dsc
 0a9bdea5c7de8ded5c9327ed642915f2cc380753f12d4ad120ef7da3ea3498f4 2445052 ncurses_5.7.orig.tar.gz
 8adbd52627b71ff29f402c257309882387d2a89cb449df849f93cd678c113cc8 40589 ncurses_5.7-2ubuntu1.diff.gz
Files: 
 7c986093455b53a78be44ec7807c29f9 1566 libs standard ncurses_5.7-2ubuntu1.dsc
 cce05daf61a64501ef6cd8da1f727ec6 2445052 libs standard ncurses_5.7.orig.tar.gz
 b7cf807587ae2940ad7004ac072e0afe 40589 libs standard ncurses_5.7-2ubuntu1.diff.gz
Original-Maintainer: Daniel Baumann <daniel at debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkZxNwACgkQSnQiFMl4yK5CSwCfXDyVffgE6nnc3zZfHTHUsdIN
4EAAn10BITzIk1zNixhSQU6Q6yrvFFfJ
=iZuJ
-----END PGP SIGNATURE-----


More information about the Jaunty-changes mailing list